RMDIR(1)

NOM
rmdir - Supprimer des répertoires vides

SYNOPSIS
rmdir [options] [répertoire...]

Options POSIX : [-p] [--]

Options GNU (forme courte): [-p] [--ignore-fail-on-non-empty] [--help] [--version] [--]

DESCRIPTION
rmdir supprime chaque répertoire vide indiqué. ([NDT] rmdir = remove directory).

Tout argument (autre que les options) ne se rapportant pas à un répertoire vide est considéré comme une erreur.

OPTIONS POSIX

-p  Effacer les répertoires parents s'ils deviennent vides après la suppression des répertoires mentionnés en argument. Ainsi « rmdir -p a/b/c » est équivalent à rmdir a/b/c; rmdir a/b; rmdir a ».

--  Fin explicite de la liste des options.

OPTIONS GNU

--ignore-fail-on-non-empty
    Normalement, rmdir refusera de supprimer un répertoire non-vide. Cette option empêchera rmdir d'échouer en supprimant un répertoire, si cet échec est dû au fait que le répertoire n'est pas vide. (Nouveauté de fileutils-4.0).

-p, --parents
    Comme décrit ci-dessus.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard et se terminer correctement.

--version
    Afficher le numéro de version sur la sortie standard et se terminer correctement.

--  Fin des options.

ENVIRONNEMENT
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.

CONFORMITÉ
POSIX.2

EXEMPLES
La commande « rmdir foo » n'effacera le répertoire foo, que s'il est vide. Si on désire effacer également les répertoires non-vides, il faut utiliser « rm -r foo ».

NOTES
Cette page décrit la version de rmdir trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 27 novembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 rmdir ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.